<div class="fheight d-flex align-center justify-center bg-blue-50">
  <v-card class="mx-auto rounded-md !shadow-lg" width="1008px" v-if="!isRegisterSuccess">
    <v-row no-gutters>
      <v-col cols="12" sm="6" class="d-none d-sm-block" style="width: 449px !important">
        <v-card class="overflow-hidden !shadow-none" height="100%">
          <div class="fheight">
            <img src="~/assets/images/auth/register.png" alt="" width="auto" height="auto" class="bg-auth">
          </div>
        </v-card>
      </v-col>
      <v-col cols="12" sm="6">
        <v-card class="elevation-0 pa-8 bg-blue-100 h-full ">
          <div class="h-full d-flex flex-col content-between !flex-nowrap">
            <div>
              <div class="flex items-center mx-3">
                <v-icon color="#242A2E" @click="$router.push('/auth/login')">
                  mdi-arrow-left
                </v-icon>
                <p class="mb-0 ml-7 text-2xl font-semibold leading-8 text-blue-500">
                  Create new Seller account
                </p>
              </div>
              <div class="mt-12" id="hideBottomInput">
                <p class="mb-0 text-sm text-gray-500">
                  Email
                </p>
                <v-text-field dense placeholder="Enter your email" outlined v-model="user.email"
                  autocomplete="new-password" @keyup.enter="onHandleLogin">
                </v-text-field>
              </div>
              <div class="my-4" id="hideBottomInput">
                <p class="mb-0 text-sm text-gray-500">
                  Password
                </p>
                <v-text-field dense placeholder="Enter your password" v-model="user.password" class="input-style"
                  autocomplete="new-password" @keyup.enter="onHandleLogin"
                  :append-icon="isHidePassword ? 'mdi-eye' : 'mdi-eye-off'" :type="isHidePassword ? 'text' : 'password'"
                  @click:append="isHidePassword = !isHidePassword" outlined>
                </v-text-field>
              </div>
              <div class="my-4">
                <p class="mb-0 text-right text-neutral-500 text-sm leading-20">
                  Forgot Password?
                </p>
              </div>
              <div class="mt-10 pa-4 bg-slate-50 rounded">
                <p class="mb-0 text-xs text-neutral-900 leading-4">After Creating new Seller account, you will have to
                  wait for
                  Admin to accept your account request.</p>
                <p class="mb-0 text-xs text-neutral-900 leading-4">As you press “Create new account”, you agree to <span
                    class="text-blue-500">our Policies, Term & Conditions</span></p>
              </div>
              <div>
                <div class="mt-6">
                  <v-btn color="#3887F1" block class="rounded-md elevation-0" @click="onHandleRegister" height="40px"
                    :disabled="loading">
                    <v-progress-circular indeterminate color="#fff" v-if="loading" size="22">
                    </v-progress-circular>
                    <p class="mb-0 text-white capitalize" v-else>Create new account</p>
                  </v-btn>
                </div>
                <div class="mt-10">
                  <p class="mb-0 text-center text-neutral-500 text-sm leading-5">
                    Already have an account? <span class="text-blue-500 cursor-pointer"
                      @click="$router.push('/auth/login')">
                      Login Now
                    </span>
                  </p>
                </div>
              </div>
            </div>
          </div>
        </v-card>
      </v-col>
    </v-row>
  </v-card>
  <v-card class="mx-auto rounded-md !shadow-lg" width="400px" v-else>
    <div class="pa-8">
      <p class="mb-0 text-2xl font-semibold leading-8 text-center">
        Seller Account Request sent!
      </p>
      <p class="mb-0 text-sm leading-5 text-center">
        We have received your request to create new seller account. After quick review we will decide, until then you
        can not access yet.
      </p>
      <div class="mt-4 flex items-center justify-center">
        <img src="~/assets/images/auth/welcome.png" alt="" width="200" height="200">
      </div>
      <div class="mt-7">
        <p class="mb-0 text-sm font-semibold text-neutral-900 leading-6 text-center">
          Please be patient and waiting for our reply...
        </p>
      </div>
    </div>
  </v-card>
</div>
